List Meters
curl --request GET \
--url https://connect.withvayu.com/meters \
--header 'Authorization: Bearer <token>'import requests
url = "https://connect.withvayu.com/meters"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://connect.withvayu.com/meters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meters": [
{
"name": "<string>",
"eventName": "<string>",
"aggregationMethod": {
"field": "<string>",
"instanceKey": "<string>"
},
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"filter": {
"conditions": [
{
"criterions": [
{
"field": "<string>",
"value": "<string>"
}
]
}
]
}
}
],
"total": 123,
"hasMore": true,
"nextCursor": "<string>"
}{
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"params": [
{
"param": "<string>",
"message": "<string>"
}
]
}{
"type": "authentication_error",
"code": "authentication_failed",
"message": "<string>"
}{
"type": "rate_limit_error",
"code": "rate_limit_exceeded",
"message": "<string>"
}{
"type": "api_error",
"code": "internal_error",
"message": "<string>"
}Meters
List Meters
Get a list of Meters.
GET
/
meters
List Meters
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I
